#ifndef CAPTURE_H_
#define CAPTURE_H_

#include <cv.h>
#include <highgui.h>
#pragma comment(lib,"cv200.lib")
#pragma comment(lib,"cxcore200.lib")
#pragma comment(lib,"highgui200.lib")

class Capture {

private:
	CvCapture *m_capture;
public:
	Capture();
	~Capture();

	int Init(int camera_id);
	void SetConfig(int width, int height, int fps );
	IplImage* QueryFrame();
	void Release(void);
};

#endif